<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-entree-heading" data-cy="EntreeCreateUpdateHeading" jhiTranslate="gestionPersonnel3App.entree.home.createOrEditLabel">
        Créer ou éditer un Entree
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.entree.dateEntree" for="field_dateEntree">Date Entree</label>
          <div class="input-group">
            <input
              id="field_dateEntree"
              data-cy="dateEntree"
              type="text"
              class="form-control"
              name="dateEntree"
              ngbDatepicker
              #dateEntreeDp="ngbDatepicker"
              formControlName="dateEntree"
            />
            <button type="button" class="btn btn-secondary" (click)="dateEntreeDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.entree.employe" for="field_employe">Employe</label>
          <select
            class="form-control"
            id="field_employe"
            data-cy="employe"
            name="employe"
            formControlName="employe"
            [compareWith]="compareEmploye"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.matricule }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.entree.natureEntree" for="field_natureEntree">Nature Entree</label>
          <select
            class="form-control"
            id="field_natureEntree"
            data-cy="natureEntree"
            name="natureEntree"
            formControlName="natureEntree"
            [compareWith]="compareNatureEntree"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="natureEntreeOption" *ngFor="let natureEntreeOption of natureEntreesSharedCollection">
              {{ natureEntreeOption.natureEntree }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
